libvisio::XForm Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions

| XForm ()
| XForm (const XForm &xform)=default
XForm & | operator= (const XForm &xform)=default

## Public Attributes

double | pinX
double | pinY
double | height
double | width
double | pinLocX
double | pinLocY
double | angle
bool | flipX
bool | flipY
double | x
double | y

## Constructor & Destructor Documentation

## XForm() [1/2]

libvisio::XForm::XForm | ( |  | ) |

inline

Referenced by operator=(), and XForm().

## XForm() [2/2]

libvisio::XForm::XForm | ( | const XForm & | xform | ) |

default

## Member Function Documentation

## operator=()

XForm & libvisio::XForm::operator= | ( | const XForm & | xform | ) |

default

## Member Data Documentation

## angle

double libvisio::XForm::angle

Referenced by libvisio::VSDContentCollector::applyXForm(), and XForm().

## flipX

bool libvisio::XForm::flipX

Referenced by libvisio::VSDContentCollector::applyXForm(), libvisio::VSDContentCollector::transformFlips(), and XForm().

## flipY

bool libvisio::XForm::flipY

Referenced by libvisio::VSDContentCollector::applyXForm(), libvisio::VSDContentCollector::transformFlips(), and XForm().

## height

double libvisio::XForm::height

Referenced by XForm().

## pinLocX

double libvisio::XForm::pinLocX

Referenced by libvisio::VSDContentCollector::applyXForm(), and XForm().

## pinLocY

double libvisio::XForm::pinLocY

Referenced by libvisio::VSDContentCollector::applyXForm(), and XForm().

## pinX

double libvisio::XForm::pinX

Referenced by libvisio::VSDContentCollector::applyXForm(), and XForm().

## pinY

double libvisio::XForm::pinY

Referenced by libvisio::VSDContentCollector::applyXForm(), and XForm().

## width

double libvisio::XForm::width

Referenced by XForm().

## x

double libvisio::XForm::x

Referenced by XForm().

## y

double libvisio::XForm::y

Referenced by XForm().

The documentation for this struct was generated from the following file:

- VSDTypes.h